Bug 982394 - livecd-creator doesn't honor the keyboard options from kickstart file
livecd-creator doesn't honor the keyboard options from kickstart file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 18:17 EDT by Massimiliano
Modified: 2014-10-09 17:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-07 19:39:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Massimiliano 2013-07-08 18:17:28 EDT
Description of problem:
according with the kickstart documentation:
http://fedoraproject.org/wiki/Anaconda/Kickstart#keyboard

I setup the locale settings of my remix:
lang it_IT.UTF-8
keyboard --vckeymap=it --xlayouts='it'

The result in the running live image is:
$ localectl 
   System Locale: LANG=it_IT.UTF-8
       VC Keymap: n/a
      X11 Layout: n/a
$ cat /etc/sysconfig/keyboard 
KEYTABLE="it"
MODEL="pc105"
LAYOUT="it"

The keybord has no 'it' layout, but 'us' instead.

Version-Release number of selected component (if applicable):
# rpm -q livecd-tools
livecd-tools-18.15-1.fc18.x86_64

How reproducible:
Build a live image with keyboard mapping different than 'us' in kickstart file.

Actual results:
Incorrect keyboard mapping.

Expected results:
A correct keybord mapping in the live image, both for X11 and vconsole.
Comment 1 Fedora End Of Life 2013-12-21 09:16:53 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Massimiliano 2014-01-13 16:44:20 EST
Following examples in l10n-kickstarts-0.20.25-1.fc20.noarch I've set simply:
keyboard it

This is the result in the live remix:
# localectl 
   System Locale: LANG=it_IT.UTF-8
       VC Keymap: it
      X11 Layout: n/a

Unfortunatly nor X11 neither console have the correct keymap.

The current version is:
$ rpm -q livecd-tools
livecd-tools-20.1-1.fc20.x86_64
Comment 3 Brian Lane 2014-10-07 19:39:36 EDT
The keyboard handling in live cannot work. The old way of doing things no longer works inside a mock, so I don't have any way to fix this.
Comment 4 Massimiliano 2014-10-08 08:47:47 EDT
I'm using this workaround in my kickstart to get the desired layout:

%post

...

cat >> /etc/rc.d/init.d/livesys << EOF_LIVESYS

# Force italian keyboard layout (rhb #982394)
localectl set-x11-keymap it
localectl set-keymap it
EOF_LIVESYS

%end

By closing this bug are we sayng that fedora project doesn't care about l10n?
Comment 5 Brian Lane 2014-10-08 14:37:34 EDT
I can't speak for the project, just for me. I *care* but the tools we have *can't* do it. The reason why the above workaround works is because it runs from the booted live system which has dbus, etc. available. The koji+mock environment that livecd-creator runs inside does not have those available.
Comment 6 Massimiliano 2014-10-09 09:06:19 EDT
(In reply to bcl@redhat.com from comment #5)
> I can't speak for the project, just for me.I *care* but the tools we have
> *can't* do it.
Please, if you can't solve the problem then address the issue to someone else that can help us.

> The reason why the above workaround works is because it runs
> from the booted live system which has dbus, etc. available.
I know.

> The koji+mock
> environment that livecd-creator runs inside does not have those available.
But in the past it was possible, now we can't anymore. Why? Systemd? Other?
Comment 8 Massimiliano 2014-10-09 16:45:53 EDT
(In reply to bcl@redhat.com from comment #7)
> Commit
> https://git.fedorahosted.org/cgit/livecd/commit/
> ?id=f674482986d701ddc21120fa8f9b0249095cdeec has the change.

AFAIK vconsole.conf is for console setting, not for X11 environment. Unfortunatly livecd often use graphical environment.
I can't understand if the patch is the problem's cause or an attempt to solve it.

What about [1]?

[1] http://www.freedesktop.org/software/systemd/man/systemd-firstboot.html
Comment 9 Brian Lane 2014-10-09 17:18:46 EDT
Thanks, I'll look into that.

Note You need to log in before you can comment on or make changes to this bug.